import java.rmi.RemoteException;
import java.rmi.Naming;
import java.rmi.server.UnicastRemoteObject;

public class Server extends UnicastRemoteObject implements Hello
{
	public Server() throws RemoteException
	{
		super();
	}

	public String sayHello()
	{
		return "Hello World";
	}

	public static void main(String args[])
	{
		try {
			Server obj = new Server();
			Naming.rebind("rmi://localhost/Hello-Server", obj);
		}
		catch (Exception e) {
			System.out.println("Error :" + e.getMessage());
			e.printStackTrace();
		}
	}
}