import java.rmi.Remote;
import java.rmi.RemoteException;

public interface Account extends Remote
{
	int getAccountNo() throws RemoteException;
    void deposit(double amount) throws RemoteException;
    void withdraw(double amount) throws RemoteException;
    String accountStatement() throws RemoteException;    // result: account number and balance
}
