import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

public interface Bank extends Remote
{
    Account newAccount(int accountNo) throws RemoteException;  // create new account
    Account getAccount(int accountNo) throws RemoteException;  // get account for account number
    List<Account> getAllAccounts() throws RemoteException;     // list of all acccounts
}
