import javax.naming.Context;
import javax.naming.InitialContext;
import java.util.Properties;

public class Client
{
	public static void main(String args[])
	{
		try {
			//!Hello obj = (Hello) Naming.lookup("rmi://localhost/Hello-Server");
			Properties props = new Properties();
			props.put("java.naming.factory.initial","com.sun.jndi.rmi.registry.RegistryContextFactory");
			props.put("java.naming.provider.url","rmi://localhost:1099");
			Context ctx = new InitialContext(props);
			Hello obj = (Hello)ctx.lookup("Hello-Server");
			//#

			String message = obj.sayHello();
			System.out.println(message);
		}
		catch(Exception e) {
			System.out.println("Error :" + e.getMessage());
			e.printStackTrace();
		}
	}
}